package com.winhc.repal.service;

import com.winhc.repal.entity.RepalRemindHistory;
import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.common.model.base.VOPage;
import com.winhc.repal.model.dto.RepalRemindHistoryDTO;
import com.winhc.repal.model.vo.RepalRemindHistoryVO;
import java.util.List;


/**
 * @description RepalRemindHistory 接口类
 * @author Generator
 * @date 2022-04-08
 */
public interface RepalRemindHistoryService extends IService<RepalRemindHistory> {

    /**
    * add RepalRemindHistory
    * @param dto data transfer object
    */
    void add(RepalRemindHistoryDTO dto);

    /**
    * update RepalRemindHistory
    * @param id key
    * @param dto data transfer object
    */
    void update(Long id, RepalRemindHistoryDTO dto);

    /**
    * delete RepalRemindHistory
    * @param id key
    */
    void delete(Long id);

    /**
    * find RepalRemindHistory
    * @param id key
    * @return RepalRemindHistory
    */
    RepalRemindHistoryVO find(Long id);

    /**
    * find RepalRemindHistory list
    * @param dto data transfer object
    * @return list of RepalRemindHistory
    */
    List<RepalRemindHistoryVO> find(RepalRemindHistoryDTO dto);

     /**
     * find RepalRemindHistory page
     * @param dto data transfer object
     * @param pageNum page number
     * @param pageSize page size
     * @return page of RepalRemindHistory
     */
     VOPage<RepalRemindHistoryVO> find(RepalRemindHistoryDTO dto, Integer pageNum, Integer pageSize);
}
